/*************************************************************************
 *
 * HTCd - Copyright (C) 1998-2006 Henrik Rydberg
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include <mt/stringref.h>

#ifndef INPUTH
#define INPUTH

#define	KK_DOWN         0402		
#define	KK_UP		0403
#define	KK_LEFT         0404
#define	KK_RIGHT	0405
#define	KK_HOME         0406		
#define	KK_F0		0410
#define	KK_F(n)         (KK_F0+(n))	
#define	KK_NPAGE	0522
#define	KK_PPAGE	0523
#define	KK_END		0550

int Input();
int RawInput();

int Lines();
int Columns();

void ClearScreen();
void MoveCursor(int i,int j);
void OutputField(int row,int col,int field,const sref& p);
void Reverse(int n);
void Bold(int n);
void Refresh();

void InitCurses();
void EndCurses();

#endif
