/*************************************************************************
 *
 * HTCd - Copyright (C) 1998-2006 Henrik Rydberg
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef QRANH
#define QRANH

#include <math.h>

inline double QUniform(unsigned long& q) {
  q=1664525L*q+1013904223L;
  unsigned long long s=q;s<<=20;s|=(1023ULL<<52);return *(double*)&s-1;
}
inline int QRanBit(unsigned long& q) {
  if(q&131072U) { q=((q^19U)<<1)|1U; return 1; }
  else { q<<=1; return 0; }
}

#endif
