/*************************************************************************
 *
 * HTCd - Copyright (C) 1998-2006 Henrik Rydberg
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include <serv/htcd.h>

inline tok_t* Const(tokmap& map,const char* s,const sref& b) throw(merror_t) {
  return Const(map,sref(s),b,tok_t::PUBLIC);
}

void envAddConst(tokmap& T)
{
  Const(T,"HTTP.100",HTTP_100);
  Const(T,"HTTP.101",HTTP_101);
  Const(T,"HTTP.200",HTTP_200);
  Const(T,"HTTP.201",HTTP_201);
  Const(T,"HTTP.202",HTTP_202);
  Const(T,"HTTP.203",HTTP_203);
  Const(T,"HTTP.204",HTTP_204);
  Const(T,"HTTP.205",HTTP_205);
  Const(T,"HTTP.206",HTTP_206);
  Const(T,"HTTP.300",HTTP_300);
  Const(T,"HTTP.301",HTTP_301);
  Const(T,"HTTP.302",HTTP_302);
  Const(T,"HTTP.303",HTTP_303);
  Const(T,"HTTP.304",HTTP_304);
  Const(T,"HTTP.305",HTTP_305);
  Const(T,"HTTP.306",HTTP_306);
  Const(T,"HTTP.307",HTTP_307);
  Const(T,"HTTP.400",HTTP_400);
  Const(T,"HTTP.401",HTTP_401);
  Const(T,"HTTP.402",HTTP_402);
  Const(T,"HTTP.403",HTTP_403);
  Const(T,"HTTP.404",HTTP_404);
  Const(T,"HTTP.405",HTTP_405);
  Const(T,"HTTP.406",HTTP_406);
  Const(T,"HTTP.407",HTTP_407);
  Const(T,"HTTP.408",HTTP_408);
  Const(T,"HTTP.409",HTTP_409);
  Const(T,"HTTP.410",HTTP_410);
  Const(T,"HTTP.411",HTTP_411);
  Const(T,"HTTP.412",HTTP_412);
  Const(T,"HTTP.413",HTTP_413);
  Const(T,"HTTP.414",HTTP_414);
  Const(T,"HTTP.415",HTTP_415);
  Const(T,"HTTP.416",HTTP_416);
  Const(T,"HTTP.417",HTTP_417);
  Const(T,"HTTP.500",HTTP_500);
  Const(T,"HTTP.501",HTTP_501);
  Const(T,"HTTP.502",HTTP_502);
  Const(T,"HTTP.503",HTTP_503);
  Const(T,"HTTP.504",HTTP_504);
  Const(T,"HTTP.505",HTTP_505);
}
